** Tags added: rls-bb-incoming

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to e2fsprogs in Ubuntu.
https://bugs.launchpad.net/bugs/1601997

Title:
  Ubuntu 16.10+ installer uses ext4 feature 'metadata_csum' which is
  incompatible with older (LTS) e2fsprogs

Status in e2fsprogs package in Ubuntu:
  Triaged

Bug description:
  Ubuntu 16.10 installer sets metadata_csum option on ext4 partition
  which is incompatible with other LTS Ubuntu versions (12.04 LTS, 14.04
  LTS, 16.04 LTS).

  Steps to reproduce:
  1. Download Ubuntu 16.10 installation media.
  2. Install Ubuntu.
  3. Try to do fsck -fy /dev/sdX1 from other supported Ubuntu distro.

  Expected results:
  User can check and fix errors on ext4 filesystem, created on Ubuntu 16.10.

  Actual results:
  User can not check and fix errors on ext4 filesystem because of lack of 
'metadata_csum' option in previous LTS Ubuntu versions.
  The only one working solution was to scan from 16.10 live install media.

  Note:
  it is known, that Dan Watkins disabled metadata_csum when creating ext4 
filesystems ( see 
http://bazaar.launchpad.net/~daniel-thewatkins/maas-images/fix-yakkety-builds/revision/305
 ). It is good solution.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.10
  Package: e2fsprogs 1.43.1-1
  ProcVersionSignature: Ubuntu 4.4.0-30.49-generic 4.4.13
  Uname: Linux 4.4.0-30-generic i686
  ApportVersion: 2.20.2-0ubuntu1
  Architecture: i386
  CurrentDesktop: Unity
  Date: Mon Jul 11 23:42:49 2016
  SourcePackage: e2fsprogs
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/e2fsprogs/+bug/1601997/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to     : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp

Reply via email to